#ifdef GL_ES
precision mediump float;
#endif
varying vec2 v_texCoord;
varying vec4 v_fragmentColor;
uniform float iGlobalTime;

uniform vec2 iResolution;
// const vec4 addColor = vec4(0.44313725,1.0,0.0,1.0);
const float half255 = 0.49;
void main() {

    vec4 addColor = v_fragmentColor;
    vec4 c = vec4(0.0);

    vec4 color = texture2D(CC_Texture0, v_texCoord);
    if(color.r<=half255){
        c.r = color.r*addColor.r/1.0;
    }else{
        c.r = 1.0-(1.0-color.r)*(1.0-addColor.r)/half255;
    }
    
    if(color.g<=half255){
        c.g = color.g*addColor.g/1.0;
    }else{
        c.g = 1.0-(1.0-color.g)*(1.0-addColor.g)/half255;
    }

    if(color.b<=half255){
        c.b = color.b*addColor.b/1.0;
    }else{
        c.b = 1.0-(1.0-color.b)*(1.0-addColor.b)/half255;
    }

    // vec4 cc= texture2D(CC_Texture0,v_texCoord);

    //discard alpha for our simple demo, multiply by vertex color and return
    // gl_FragColor =vec4(sum.rgb, cc.a);
    gl_FragColor = vec4(c.rgb,color.a);
    // gl_FragColor = vec4(1.0);
}